<?php
/**
// Copyright (C) 2010 - 2012 Mike Feng Jinglong
//
// This program is a commercial software; you cannot redistribute it
// and/or modify it without the explicit consent from the author.
//
// All title and copyright in and to the Product is owned by Mike Feng
// and is protected by international copyright laws and treaty provisions.
// Mike Feng retains all ownership rights in the Product.
// The copyright notice must be reproduced and included on any copy
// that is expressly permitted under this Agreement.
**/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modSIMAnswers_HeadboardTabs {
	/* Tabs Functions - Start */
	function frontpageTab($option, $view) {
		$class = ($option == 'com_simanswers' && ($view == 'frontpage' || $view == '')) ? 'sahb-tabs sahb-tabs-active' : 'sahb-tabs';
	?>
		<li id="sahb-nav-frontpage" class="<?php echo $class;?>"><a class="sahb-tabs-link" href="<?php echo SALink::frontpage();?>"><?php echo JText::_('SA_HEAD_FRONTPAGE');?></a></li>
	<?php
	}

	function categoriesTab($option, $view) {
		$db =& JFactory::getDBO();
		$class = ($option == 'com_simanswers' && $view == 'category') ? 'sahb-tabs sahb-tabs-active' : 'sahb-tabs';
		$db->setQuery( "SELECT `id`, `name` FROM #__simanswers_categories WHERE `parent`=0 AND `published`=1 ORDER BY `ordering` ASC" );
		$cats = $db->loadObjectList();
	?>
		<li id="sahb-nav-categories" class="<?php echo $class;?>">
			<a class="sahb-tabs-link" href="<?php echo SALink::category();?>"><?php echo JText::_('SA_HEAD_CATEGORIES');?></a>
			<div class="sahb-sub"><div>
			<?php
				for ($i=0; $i<count($cats); $i++) {
					$cat = $cats[$i];
					if ($i == 0) echo '<ul>';
					if ($i % 7 == 0) echo '</ul><ul>';
					echo '<li><a href="'.SALink::category($cat->id).'">'.$cat->name.'</a></li>';
				}
				if (count($cats)) echo '</ul>';
			?>
			</div></div>
		</li>
	<?php
	}

	function dashboardTab($option, $view) {
		$my =& JFactory::getUser();
		if ($my->guest) return;
		$class = ($option == 'com_simanswers' && $view == 'dashboard') ? 'sahb-tabs sahb-tabs-active' : 'sahb-tabs';
	?>
		<li id="sahb-nav-dashboard" class="<?php echo $class;?>">
			<a class="sahb-tabs-link" href="<?php echo SALink::dashboard();?>"><?php echo JText::_('SA_HEAD_DASHBOARD');?></a>
			<div class="sahb-sub"><div>
				<ul>
					<li><a id="sahb-qna-link" href="<?php echo SALink::dashboard(0, 'qna');?>"><?php echo JText::_('SA_HEAD_MY_QNA');?></a></li>
					<li><a href="<?php echo SALink::dashboard(0, 'edit');?>"><?php echo JText::_('SA_HEAD_EDIT_MY_QNA_PREF');?></a></li>
				</ul>
			</div></div>
		</li>
	<?php
	}

	function aboutTab($option, $view) {
		$class = ($option == 'com_simanswers' && $view == 'about') ? 'sahb-tabs sahb-tabs-active' : 'sahb-tabs';
	?>
		<li id="sahb-nav-about" class="<?php echo $class;?>">
			<a class="sahb-tabs-link" href="<?php echo SALink::userinfo('hiw');?>"><?php echo JText::_('SA_HEAD_ABOUT');?></a>
			<div class="sahb-sub"><div>
				<ul>
					<li><a href="<?php echo SALink::userinfo('hiw');?>"><?php echo JText::_('SA_HEAD_HOW_IT_WORKS');?></a></li>
					<li><a href="<?php echo SALink::userinfo('pl');?>"><?php echo JText::_('SA_HEAD_POINTS_AND_LEVELS');?></a></li>
					<li><a href="<?php echo SALink::userinfo('gl');?>"><?php echo JText::_('SA_HEAD_COMMUNITY_GUIDELINES');?></a></li>
				</ul>
			</div></div>
		</li>
	<?php
	}
	/* Tabs Functions - End */
}
?>