<?php
/**
// Copyright (C) 2010 - 2012 Mike Feng Jinglong
//
// This program is a commercial software; you cannot redistribute it
// and/or modify it without the explicit consent from the author.
//
// All title and copyright in and to the Product is owned by Mike Feng
// and is protected by international copyright laws and treaty provisions.
// Mike Feng retains all ownership rights in the Product.
// The copyright notice must be reproduced and included on any copy
// that is expressly permitted under this Agreement.
**/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modSIMAnswers_HeadboardHelper {
	function init($option) {
		$document =& JFactory::getDocument();
		if ($option == 'com_simanswers') {
			$saConfig = SAHelper::getConfig();
			if (!$saConfig->mtupgrade) {
				$parameter_script = 'scripts';
				$headerstuff = $document->getHeadData();
				reset($headerstuff[$parameter_script]);
				foreach ($headerstuff[$parameter_script] as $key=>$value){
					if (substr_count($key, 'mootools') > 0)
						unset($headerstuff[$parameter_script][$key]);
				}
				$document->setHeadData( $headerstuff );
			}
		}
		else {
			JHTML::_('behavior.mootools');
			if (file_exists(JPATH_SITE.'/components/com_simanswers/globals.simanswers.php'))
				require_once(JPATH_SITE.'/components/com_simanswers/globals.simanswers.php');
			else echo 'Install SIMAnswers component first.';
		}
		$js = JURI::root().'modules/mod_simanswers_headboard/js/simanswers_headboard.js';
		$document->addScript($js);
		$css = JURI::root().'modules/mod_simanswers_headboard/css/simanswers_headboard.css';
		$document->addStyleSheet($css, 'text/css');
		$js = "
			var SA_HEAD_SEARCH_DEFAULT = '".addslashes(JText::_('SA_HEAD_SEARCH_DEFAULT'))."';
			var SA_ASK_TITLE_DEFAULT = '".addslashes(JText::_('SA_ASK_TITLE_DEFAULT'))."';
			window.addEvent('domready', function() {
				if ($('sahb-searchfield').value == '' || $('sahb-searchfield').value == SA_HEAD_SEARCH_DEFAULT) $('sahb-searchfield').addClass('blurfield');
			});";
		$document->addScriptDeclaration($js);
	}
}
?>
